Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QImageFormatPlugin Class Reference

The QImageFormatPlugin class provides an abstract base for custom image format plugins. More...

    #include <QImageFormatPlugin>

Inherits QObject.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QImageFormatPlugin ( QObject * parent = 0 )
- ~QImageFormatPlugin ()
- virtual bool installIOHandler ( const QString & format ) = 0
- virtual QStringList keys () const = 0

- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QImageFormatPlugin class provides an abstract base for custom image format plugins.

The image format plugin is a simple plugin interface that makes it easy to create custom image formats that can be used transparently by applications.

Writing an image format plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and installIOHandler(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Plugins documentation for details.

## Member Function Documentation

### QImageFormatPlugin::QImageFormatPlugin ( QObject * parent = 0 )

Constructs an image format plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

### QImageFormatPlugin::~QImageFormatPlugin ()

Destroys the image format plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### bool QImageFormatPlugin::installIOHandler ( const QString & format ) `[pure virtual]`

Installs a QImageIO image I/O handler for the image format format.

Reimplemented from QImageFormatInterface.

See also keys().

### QStringList QImageFormatPlugin::keys () const `[pure virtual]`

Returns the list of image formats this plugin supports.

Reimplemented from QFactoryInterface.

See also installIOHandler().